Bug 1849094 - Use registry.redhat.io/openshift4/ose-cli as base image for jenkins 2 rhel images
Summary: Use registry.redhat.io/openshift4/ose-cli as base image for jenkins 2 rhel im...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Akram Ben Aissi
QA Contact: Jitendar Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-19 15:28 UTC by Akram Ben Aissi
Modified: 2020-10-27 16:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:08:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift jenkins pull 1089 0 None closed Bug 1849094: Use quay.io/openshift/origin-cli:4.2 as base image for upstream 2020-11-05 16:25:40 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:08:39 UTC

Description Akram Ben Aissi 2020-06-19 15:28:42 UTC
Use registry.redhat.io/openshift4/ose-cli as base image for jenkins 2 rhel images
a previous attempt to use ubi8 was not a success though

Comment 4 Jitendar Singh 2020-06-25 06:29:23 UTC
VERIFIED that its using quay.io/openshift/origin-cli:4.2 
VERIFIED with smoke test for building pipeline

jsingh@localhost  ~/go/src/github.com/redhat-developer  oc new-app -f https://raw.githubusercontent.com/openshift/origin/master/examples/jenkins/pipeline/samplepipeline.yaml 
jsingh@localhost  ~/go/src/github.com/redhat-developer  oc start-build sample-pipeline
build.build.openshift.io/sample-pipeline-1 started
 jsingh@localhost  ~/go/src/github.com/redhat-developer  oc get pods
NAME                             READY   STATUS      RESTARTS   AGE
jenkins-1-4cfff                  1/1     Running     0          24m
jenkins-1-build                  0/1     Completed   0          33m
jenkins-1-deploy                 0/1     Completed   0          24m
nodejs-mongodb-example-1-build   1/1     Running     0          17s
nodejs-rw00c                     1/1     Running     0          63s


===================================================
Cloning "https://github.com/jitendar-singh/jenkins.git" ...
	Commit:	70b90b64cd8a4d1c8e6d3717e84b27871e6b1490 (Sync with 4.6)
	Author:	jsingh <jitsingh@redhat.com>
	Date:	Thu Jun 25 11:22:26 2020 +0530
Caching blobs under "/var/cache/blobs".

Pulling image openshift/origin-release:golang-1.12 ...
Getting image source signatures
Copying blob sha256:15d1920fff76debb5091429fa8dfabb3576ec4d4f342776367bfeb1937a5e046
Copying blob sha256:524b0c1e57f8ee5fee01a1decba2f301c324a6513ca3551021264e3aa7341ebc
Copying config sha256:77c8d0322186a34a6e9f1efd31568f06602d635e0eed424b3a74706942f83c06
Writing manifest to image destination
Storing signatures

Pulling image quay.io/openshift/origin-cli:4.2 ...
Getting image source signatures
Copying blob sha256:a3ac36470b00df382448e79f7a749aa6833e4ac9cc90e3391f778820db9fa407
Copying blob sha256:82a8f4ea76cb6f833c5f179b3e6eda9f2267ed8ac7d1bf652f88ac3e9cc453d1
Copying blob sha256:7b3b1dd63aa3224f565c019da3b0271824834e151c1c3b787945ecf6e6a22e6d
Copying blob sha256:d49cc2db9d3a37a14b656f2a0dcd4c82469ae96065bab099e55a5fc92fa5bc9f
Copying blob sha256:b3bab4930531743e29df68a15290a920710a813f00c76237b98d5ed8ecd287fb
Copying config sha256:a550d8e253e573c8d0dede5b93ecc2e1641f5de86691d8127c8851ae7fdea948
Writing manifest to image destination
Storing signatures
STEP 1: FROM openshift/origin-release:golang-1.12 AS go-init-builder
STEP 2: WORKDIR /go/src/github.com/openshift/jenkins
time="2020-06-25T05:55:36Z" level=info msg="Image operating system mismatch: image uses OS \"\"+architecture \"\", expecting one of \"linux+amd64\""
--> 50a6bd8ed0d
STEP 3: COPY . .
time="2020-06-25T05:55:37Z" level=info msg="Image operating system mismatch: image uses OS \"\"+architecture \"\", expecting one of \"linux+amd64\""
--> 688af53683b
STEP 4: WORKDIR /go/src/github.com/openshift/jenkins/go-init
time="2020-06-25T05:55:37Z" level=info msg="Image operating system mismatch: image uses OS \"\"+architecture \"\", expecting one of \"linux+amd64\""
--> 5be257d7bd3
STEP 5: RUN go build . && cp go-init /usr/bin
time="2020-06-25T05:55:39Z" level=info msg="Image operating system mismatch: image uses OS \"\"+architecture \"\", expecting one of \"linux+amd64\""
--> 2b3d58647ac
STEP 6: FROM quay.io/openshift/origin-cli:4.2
STEP 7: MAINTAINER Akram Ben Aissi <abenaiss@redhat.com>
time="2020-06-25T05:55:39Z" level=info msg="Image operating system mismatch: image uses OS \"\"+architecture \"\", expecting one of \"linux+amd64\""
--> 50e353286bd
STEP 8: COPY --from=go-init-builder /usr/bin/go-init /usr/bin/go-init
time="2020-06-25T05:55:40Z" level=info msg="Image operating system mismatch: image uses OS \"\"+architecture \"\", expecting one of \"linux+amd64\""
--> dc2c27cb804
STEP 9: ENV JENKINS_VERSION=2     HOME=/var/lib/jenkins     JENKINS_HOME=/var/lib/jenkins     JENKINS_UC=https://updates.jenkins.io     OPENSHIFT_JENKINS_IMAGE_VERSION=4.6     LANG=en_US.UTF-8     LC_ALL=en_US.UTF-8     INSTALL_JENKINS_VIA_RPMS=false
time="2020-06-25T05:55:40Z" level=info msg="Image operating system mismatch: image uses OS \"\"+architecture \"\", expecting one of \"linux+amd64\""
--> 6e69c2a0373
STEP 10: LABEL k8s.io.description="Jenkins is a continuous integration server"       k8s.io.display-name="Jenkins 2"       openshift.io.expose-services="8080:http"       openshift.io.tags="jenkins,jenkins2,ci"       io.jenkins.version="2.222.1"       io.openshift.s2i.scripts-url=image:///usr/libexec/s2i
time="2020-06-25T05:55:40Z" level=info msg="Image operating system mismatch: image uses OS \"\"+architecture \"\", expecting one of \"linux+amd64\""
--> f3222f6cab3
STEP 11: EXPOSE 8080 50000
time="2020-06-25T05:55:41Z" level=info msg="Image operating system mismatch: image uses OS \"\"+architecture \"\", expecting one of \"linux+amd64\""
--> a31798d9394
STEP 12: RUN curl https://raw.githubusercontent.com/cloudrouter/centos-repo/master/CentOS-Base.repo -o /etc/yum.repos.d/CentOS-Base.repo &&     curl http://mirror.centos.org/centos-7/7/os/x86_64/RPM-GPG-KEY-CentOS-7 -o /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7 &&     INSTALL_PKGS="dejavu-sans-fonts rsync gettext git tar zip unzip openssl bzip2 java-11-openjdk java-11-openjdk-devel java-1.8.0-openjdk java-1.8.0-openjdk-devel jq" &&     DISABLES="--disablerepo=rhel-server-extras --disablerepo=rhel-server --disablerepo=rhel-fast-datapath --disablerepo=rhel-server-optional --disablerepo=rhel-server-ose --disablerepo=rhel-server-rhscl" &&     yum $DISABLES -y --setopt=tsflags=nodocs --disableplugin=subscription-manager install epel-release &&     yum $DISABLES -y --setopt=tsflags=nodocs --disableplugin=subscription-manager install $INSTALL_PKGS &&     rpm -V  $INSTALL_PKGS &&     yum clean all  &&     localedef -f UTF-8 -i en_US en_US.UTF-8
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100  1544  100  1544    0     0   1999      0 --:--:-- --:--:-- --:--:--  1997
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100  1690  100  1690    0     0   5359      0 --:--:-- --:--:-- --:--:--  5365
Loaded plugins: ovl, product-id, search-disabled-repos
Resolving Dependencies
--> Running transaction check
---> Package epel-release.noarch 0:7-11 will be installed
--> Finished Dependency Resolution

Dependencies Resolved
.
.
.
.
truncated
Storing signatures
Successfully pushed image-registry.openshift-image-registry.svc:5000/bz-1849094/jenkins-test@sha256:a4d7b8175faaeab48df70efc2fa6bfeeb61396c6c2410317dba7361522143c93
Push successful

Comment 6 errata-xmlrpc 2020-10-27 16:08:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.